API reference · Types
ApiError
Part of the error responses of 37 operations.
Type: object
Example
{
"status": "error",
"message": "string",
"code": "string"
}Fields
statusstring requiredConstraints: allowed values:
errormessagestring requiredA human-readable explanation of the result.
codestring requiredThe stable machine-readable code for this result.
detailsunknownAdditional details to help diagnose the result.
Used by
GET /me- Get store status (error)PATCH /me- Set vacation mode (error)GET /listings- Export listings (error)POST /listings- Upsert listings (error)DELETE /listings- Soft-delete listings (error)POST /listings/purge- Purge all listings (error)POST /listings/bulk- Bulk upsert/delete listings (error)GET /orders- Poll orders (error)GET /orders/{orderId}- Get one order (error)PATCH /orders/{orderId}/fulfillment- Update fulfillment (error)POST /orders/{orderId}/cancel- Cancel an order (error)POST /orders/{orderId}/refunds- Create a refund (error)GET /orders/{orderId}/cancellation-requests- List an order's cancellation requests (error)POST /orders/{orderId}/cancellation-requests/{requestId}/decline- Decline a cancellation request (error)GET /orders/{orderId}/change-requests- List an order's change requests (error)POST /orders/{orderId}/change-requests- File a fulfillment report (error)POST /orders/{orderId}/change-requests/{requestId}/accept- Accept a change request (error)POST /orders/{orderId}/change-requests/{requestId}/decline- Decline a change request (error)POST /webhooks/test- Send a test event to your webhook endpoint (error)GET /orders/{orderId}/addition-requests- List an order's add-on requests (not yet available) (error)POST /orders/{orderId}/addition-requests/{requestRef}/decline- Decline an add-on request (not yet available) (error)GET /orders/{orderId}/addition-offers- List an order's add-on offers (not yet available) (error)POST /orders/{orderId}/addition-offers- Send or replace an add-on offer (not yet available) (error)POST /orders/{orderId}/addition-offers/{offerRef}/withdraw- Withdraw an add-on offer (not yet available) (error)GET /shipping-options- List the seller's shipping options (error)GET /orders/{orderId}/substitute-candidates- List substitutes for an order line (error)POST /orders/{orderId}/change-requests/{requestId}/withdraw- Withdraw a fulfillment report (error)POST /sandbox/test-purchases- Trigger a sandbox test purchase (error)GET /sandbox/test-purchases/{ref}- Read a sandbox test purchase (error)POST /sandbox/orders/{orderId}/cancellation-requests- Have the sandbox buyer ask to cancel an order (error)POST /sandbox/orders/{orderId}/change-requests- Have the sandbox buyer ask for a change (error)POST /sandbox/orders/{orderId}/change-requests/{requestId}/answer- Have the sandbox buyer answer a fulfillment report (error)POST /orders/{orderId}/corrections- Correct the ship-to address (error)POST /orders/{orderId}/address-verification/retry- Retry address verification (error)GET /search- Search products (error)GET /products/{productId}- Get product offers (error)POST /lines/lookup- Look up cart lines (error)